%define redhatify 1

%define is_release 1
%define beta %{nil}
%define rel 9
%define DATE 20011108

%define include_kappfinder 0
%define debug 0

%define qt_version 2.3.0
%define kde_version 2.2.2

%define ver %{kde_version}%{beta}

%define pamservice kde
%define gdmsession KDE

Name: kdebase
Version: %{kde_version} 
Summary: Basic files needed for KDE.
Prefix: /usr
Icon: kde-icon.xpm
URL: http://www.kde.org
Epoch: 6
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot

%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
%else
%if "%{is_release}" != "0"
Release: %{rel}
%else
Release: 0.cvs%{DATE}.%{rel}
%endif
%endif

%if %{is_release}
Source: ftp://ftp.kde.org/pub/kde/releases/%{name}-%{ver}.tar.bz2
%else
Source: cvs://cvs.kde.org/%{name}-%{DATE}.tar.bz2
%endif

%ifarch i386
Requires: lm_sensors
%endif

Requires: kdelibs >= %{kde_version}
Requires: /etc/X11/xdm/Xsession
Requires: libxml2 >= 2.3.5
Requires: kdelibs-sound >= %{kde_version}
Requires: libogg
Requires: libvorbis
Requires: XFree86-xdm
Requires(post,postun): /sbin/ldconfig
Requires(pre,post): fileutils sh-utils
Requires(post): XFree86-xfs

BuildPrereq: qt-devel >= %{qt_version}
BuildPrereq: kdelibs-devel >= %{kde_version}
BuildPrereq: kdelibs-sound-devel >= %{kde_version}
BuildPrereq: libxml2-devel >= 2.3.10
BuildPrereq: lesstif-devel

Obsoletes: kdpms
Obsoletes: kapm
Obsoletes: kapmd
Obsoletes: kcmlaptop
Obsoletes: kdebase2
Obsoletes: kdebase-3d-screensavers
Obsoletes: kdebase-lowcolor-icons

Source2: KDE.session.gnome
Source3: KDE2.session.gnome
Source4: kde-redhat-config-2.2.tar.bz2
Source5: desktopconv.tar.bz2
Source6: wizard_small.png
Source7: mailsettings.cc
# Since the FixupTOC() hack doesn't work with a statically linked cdparanoia,
# we need to include our own copy, nuke FixupTOC() from it, and link against
# that.
Source100: cdparanoia-III-alpha9.8.src.tar.bz2
Patch100: kdebase-cdparanoia-fixuptoc.patch
Patch101: kdebase-2.2-internalcdp.patch

Patch0: kdebase-2.2.2-redhat.patch
Patch1: kdebase-2.2-20010615-waitkdm.patch
Patch2: kdebase-2.2-utmp.patch
Patch3: konsole-noxft-hack.patch
Patch4: kdebase-2.2-shortcuts.patch
Patch5: kdebase-2.1-glibc-2.2.2.patch
Patch6: kdebase-2.1.1-lesstif.patch
Patch7: kdebase-2.2-20010615-kxmlrpcd-tcpsocket.patch
Patch14: kdebase-2.1-noxs.patch
Patch19: kdebase-2.1-konqurer-reload.patch
Patch22: kdebase-2.1.1-sound.patch
Patch24: kdebase-2.2-dynamicdevices.patch
Patch25: kdebase-2.1.1-linebreak.patch
Patch27: kdebase-2.2-20010615-TEPty.C-ptsname.patch
Patch29: kdebase-2.2-rhkicker.patch
Patch30: kdebase-2.2-gnomeworkaround.patch
Patch31: kdebase-2.2-charset.patch
Patch32: kdebase-2.2-overwrite.patch
Patch33: kdebase-2.2-norwegian.patch
Patch34: kdebase-2.2-nsplugins.patch
Patch35: post-2.2.2-kdebase.diff
Patch36: post-2.2.2-kdebase-thumbnail.diff

# Japanese patches
Patch200: kdebase-2.2beta1-konsole-ja-20010724.diff
Patch201: kdebase-2.2-konsolefont.patch

%package devel
Summary: Development files for kdebase.
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdebase package contains the core applications for KDE.

%description devel
Header files for developing applications using kdebase. Install
kdebase-devel if you want to develop or compile Konqueror, Kate
plugins, or KWin styles.

%prep
rm -rf $RPM_BUILD_ROOT
%if %{is_release}
%setup -q -n %{name}-%{ver}
%else
%setup -q -n %{name}
%endif

cp -f %{SOURCE6} ktip/pics # move in our logo
%patch0 -p1 -b .redhat
%patch1 -p1 -b .waitkdm
%patch2 -p1 -b .utmp
# Patch 3 is no longer strictly necessary, but
# konsole with AA still opens way too large
# windows.
%patch3 -p1 -b .xftkons
%patch4 -p1 -b .short
%patch5 -p1 -b .grantpty
%patch6 -p1 -b .staticlesstif
%patch7 -p1 -b .tcpsock
%patch14 -p1 -b .noxs
%patch19 -p1 -b .reload
%patch22 -p1 -b .snd
%patch24 -p1 -b .dynamicdevices
%patch25 -p1 -b .linebreak
%patch27 -p1 -b .ptsname
%patch29 -p1 -b .rhkicker
%patch30 -p1 -b .gnome
%patch31 -p1 -b .charset
%patch32 -p1 -b .overwrite
%patch33 -p1 -b .norwegian
%patch34 -p1 -b .nsplugin

# security patches
%patch35 -p1 -b .sec
pushd kioslave/thumbnail
%patch36 -p0 -b .pdf
popd

%patch101 -p1 -b .internalcdp

%ifnarch s390 s390x
tar xjf %{SOURCE100}
%patch100 -p0 -b .toc
%endif

%build
export LANG=C LC_NUMERIC=C
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

make -f Makefile.cvs

%ifnarch s390 s390x
mkdir -p cdparanoia/include cdparanoia/lib
pushd cdparanoia-III-alpha9.8
%configure
make || :
mv */*.a ../cdparanoia/lib
mv */*.h ../cdparanoia/include
popd
%endif

CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -UDEBUG" \
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -UDEBUG -fno-exceptions -fno-rtti -fno-check-new" \
./configure \
   --prefix=%{prefix} \
   --with-xdmdir=%{_sysconfdir}/X11/xdm \
   --with-motif-includes=/usr/X11R6/LessTif/Motif1.2/include \
   --with-motif-libraries=/usr/X11R6/lib \
   --with-pam=%{pamservice} \
   --without-shadow \
   --disable-shadow \
   --enable-final \
   --sysconfdir=%{_sysconfdir} \
   --disable-greet-lib \
%ifnarch s390 s390x
   --with-cdparanoia="`pwd`/cdparanoia" \
%endif
%if %{debug} == 0
   --disable-debug \
   --without-debug \
%else
   --enable-debug \
   --with-debug \
%endif
   --includedir=%{prefix}/include/kde

%ifarch %ix86
make %{?smp_mflags} -C ksysguard
make %{?smp_mflags}
%else
make -C ksysguard
make
%endif

g++ $RPM_OPT_FLAGS -o mailsettings %{SOURCE7}

tar xjf %{SOURCE5}
pushd desktopconv
make CXXFLAGS="$RPM_OPT_FLAGS"
popd
pushd desktopconv/tr
make
popd

%install
export LANG=C LC_NUMERIC=C
export PATH=$PATH:/usr/X11R6/bin

make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install

install -m 755 mailsettings $RPM_BUILD_ROOT%{prefix}/bin

for i in $RPM_BUILD_ROOT%{prefix}/bin/*; do
  strip -R .comment $i &>/dev/null || :
done

# Move in desktopconv
install -m 755 desktopconv/desktopconv $RPM_BUILD_ROOT%{prefix}/bin

#install pam configuration file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 kde.pamd $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}

# remove /etc/X11/xdm, It's ready in XFree86-xdm
# kdm and xdm will share the xdm here
rm -rf $RPM_BUILD_ROOT/etc/X11/xdm

%if %{include_kappfinder}
# fix kappfinder script for relocatability and run it through consolehelper
{
	pushd $RPM_BUILD_ROOT%{prefix}/bin
	mkdir -p ../sbin
	cp kappfinder kappfinder.temp
	sed -e 's.\$(prefix).\$KDEDIR.g' kappfinder.temp > ../sbin/kappfinder
	chmod 0755 ../sbin/kappfinder
	rm -f kappfinder.temp
	ln -sf consolehelper kappfinder
	popd
}

mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat >$RPM_BUILD_ROOT/etc/security/console.apps/kappfinder <<EOF
USER=root
PROGRAM=/usr/sbin/kappfinder
SESSION=true
EOF
%else
rm -rf $RPM_BUILD_ROOT/%{prefix}/*/kappfinder \
       $RPM_BUILD_ROOT/%{prefix}/share/applnk/System/kappfinder.desktop \
       $RPM_BUILD_ROOT/%{prefix}/share/apps/kappfinder
%endif

# make symlink for the GNOME directory
ln -sf ../gnome/apps $RPM_BUILD_ROOT%{prefix}/share/applnk/gnome

# Nuke man2html - we get it from man
find $RPM_BUILD_ROOT -name "man2html*" |xargs rm -rf

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cat >$RPM_BUILD_ROOT/etc/pam.d/kscreensaver <<EOF
#%PAM-1.0
auth	required	/lib/security/pam_stack.so service=system-auth
EOF

# fix konsole /opt/kde hardcode
{
	pushd konsole/other
	perl -pi -e "s|/opt/kde|%{prefix}|g" *
	popd
}

# Remove 9x15 font (dupe from XFree86), and move other fonts to a more
# reasonable place
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
rm -f $RPM_BUILD_ROOT/usr/share/fonts/9x15.pcf.gz
mv $RPM_BUILD_ROOT/usr/share/fonts/*pcf* $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
rm -rf $RPM_BUILD_ROOT/usr/share/fonts

# Remove dupes from kdeartwork
rm -f $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes/Eclipse.ktheme
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/bell.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/bell.png

# remove dupes from kdeutils
rm -rf $RPM_BUILD_ROOT/usr/share/apps/kfind

# install config files
pushd $RPM_BUILD_ROOT
tar xjf %{SOURCE4}
mv etc/skel/kde etc/skel/.kde
find etc/skel/.kde -type f |xargs chmod 0644
find etc/skel/.kde -type d |xargs chmod 0755
popd

%if %{redhatify}
rm -f $RPM_BUILD_ROOT%{prefix}/share/locale/l10n/*/flag.png
%endif

pushd $RPM_BUILD_ROOT
find usr
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ",' \
	-e '/\/config\//s|^|%config|' -e 's,$,",' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

echo "%docdir %{prefix}/share/doc/kde" >> \
	$RPM_BUILD_DIR/file.list.%{name}
	
cat $RPM_BUILD_DIR/file.list.%{name} |grep -v '/bin/kdesud"$' |grep -v '/bin/kcheckpass"$' |grep -v '/usr/share/config' |grep -v '/etc' |grep -v '/usr/bin$' |grep -v '/usr/lib$' |grep -v '/usr/share$' |grep -v '/usr$' |grep -v '/usr/sbin$' |grep -v '/usr/share/doc$' |grep -v '/usr/share/icons$' |grep -v '/usr/bin/konsole_grantpty"$' |grep -v '/usr/include' |grep -v '/usr/X11R6/lib$' |grep -v '/usr/X11R6$' |grep -v 'libccont\.a' >$RPM_BUILD_DIR/file.list.%{name}.tmp
mv -f $RPM_BUILD_DIR/file.list.%{name}.tmp $RPM_BUILD_DIR/file.list.%{name}
popd

# desktopconv locales...
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/desktopconv/tr/de.mo \
              $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES

# install gdm session support
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/%{gdmsession}

# Merge /etc/X11/applnk menus
cat >$RPM_BUILD_ROOT/etc/kderc <<EOF
[Directories]
dir_apps=/etc/X11/applnk
EOF

# Don't fail on ro-mounted /usr
mkdir -p $RPM_BUILD_ROOT/etc/kde
mv $RPM_BUILD_ROOT/usr/share/config/kdm $RPM_BUILD_ROOT/etc/kde
ln -sf ../../../etc/kde/kdm $RPM_BUILD_ROOT/usr/share/config/kdm

# Make symlinks relative
cd $RPM_BUILD_ROOT/%{prefix}/share/doc/HTML/en
for i in */*/*; do
	if [ -d "$i" -a -L "$i"/common ]; then
		rm -f $i/common
		ln -s ../../../common $i
	fi
done
for i in */*; do
	if [ -d "$i" -a -L "$i"/common ]; then
		rm -f $i/common
		ln -s ../../common $i
	fi
done
for i in *; do
	if [ -d "$i" -a -L "$i"/common ]; then
		rm -f $i/common
		ln -s ../common $i
	fi
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}

%pre
if [ -d /etc/skel/Desktop/Autostart ]; then
	mv -f /etc/skel/Desktop/Autostart /etc/skel/Desktop/Autostart-OLD..KDE
elif [ -d /etc/skel/Desktop/Autostart.rpmsave ]; then
	mv -f /etc/skel/Desktop/Autostart.rpmsave /etc/skel/Desktop/Autostart-OLD..KDE
fi

%post
/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
/sbin/ldconfig
if [ -d /etc/skel/Desktop/Autostart-OLD..KDE ]; then
	mv -f /etc/skel/Desktop/Autostart-OLD..KDE/* /etc/skel/.kde/Autostart &>/dev/null || :
	rm -rf /etc/skel/Desktop/Autostart-OLD..KDE
fi

%postun -p /sbin/ldconfig

%files -f ../file.list.%{name} 
%defattr(-,root,root)
%attr(0755,root,root) %{prefix}/bin/kcheckpass
%attr(0755,root,root) %{prefix}/bin/kdesud
%attr(0755,root,root) %{prefix}/bin/konsole_grantpty
%config(noreplace) /etc/X11/gdm/Sessions/%{gdmsession}
%config(noreplace) /etc/ksysguarddrc
%dir /etc/skel/.kde
%config /etc/skel/.kde/*
%config /usr/share/config/*
%dir /etc/kde
%dir /etc/kde/kdm
%config /etc/kde/kdm/*
%config(noreplace) /etc/kderc
%config(noreplace) /etc/pam.d/*
%if %{include_kappfinder}
%config(noreplace) /etc/security/console.apps/*
%endif
%lang(de) /usr/share/locale/de/LC_MESSAGES/*

%files devel
%defattr(-,root,root)
%{_prefix}/include/kde/*.h
%dir %{_prefix}/include/kde/kate
%{_prefix}/include/kde/kate/*
%dir %{_prefix}/include/kde/kwin
%{_prefix}/include/kde/kwin/*
%{_prefix}/lib/*.a

%changelog
* Thu Apr 10 2003 Than Ngo <than@redhat.com> 2.2.2-9
- flags issue

* Mon Apr  7 2003 Than Ngo <than@redhat.com> 2.2.2-8
- PS/PDF file handling vulnerability

* Wed Mar 12 2003 Than Ngo <than@redhat.com> 2.2.2-7
- permission fix, #85752

* Thu Feb 13 2003 Than Ngo <than@redhat.com> 2.2.2-6
- fix conflict with kdeutils

* Thu Feb  6 2003 Than Ngo <than@redhat.com> 2.2.2-5
- rebuild

* Wed Jan 22 2003 Than Ngo <than@redhat.com> 2.2.2-4
- Multiple URL and filename vulnerabilities

* Fri Apr 26 2002 Bill Nottingham <notting@redhat.com> 2.2.2-3
- in kpersonalizer, remove /tmp/kde-$USER/ksycoca on language change
  (#60691)

* Wed Apr 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-2
- Fix #63062

* Wed Nov 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-1
- 2.2.2 final

* Thu Nov  8 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-0.cvs20011108.1
- Update
- Fix build with current toolchain

* Fri Sep 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.1-1
- 2.2.1

* Thu Sep  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-11
- If a non-iso-8859-{1,15} language is selected, don't try to apply
  fonts and colors to non-KDE apps (this caused #53221)
- Fix some other i18n issues (#52943/#35863)
- Don't hang if inherently broken Netscape plugins (e.g. Netscape 6.1 Java2)
  are installed (#53221)
- Prevent nspluginscan from finding the same plugin several times.

* Mon Sep  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-10
- Remove the aafonts workaround. It's
  - no longer needed
  - breaking some things in non-latin languages
- Make sure the package can be rebuilt even on systems with weird
  locales (#52783)
- Require XFree86-xdm for now - kdm simply aborts if it can't find
  /etc/X11/xdm/Xservers (which should really be in xinitrc, but it's in
  XFree86-xdm ATM)
- Make mailsettings output kmail rather than /usr/bin/kmail, needed for
  mailto: stuff to work properly

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-9
- Fix up X screensavers (#52238)
- Fix up i18n in dynamic devices patch (code part of #35863)
- Rebuild with current kdelibs

* Mon Aug 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-8
- Fix non-latin languages in KDesktop (#52376)
- Merge konsole fixes from KDE_2_2_BRANCH
- If KDEDIRS isn't set, set it in startkde
- Fix the dynamic devices patch, updateDynamicDevices() needs to be a slot
- Add Trond's patch to fix Norwegian spelling

* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-7
- Fix file list generation (#51925)
- Fix charset for Russian (#52381)

* Thu Aug 23 2001 Than Ngo <than@redhat.com>
- fix cosmetic bug
- set kdm daemonMode false as default

* Tue Aug 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-6
- Move /usr/share/config/kdm to /etc/kde/kdm, fixes #51095
  IF YOU ARE UPDATING FROM A VERSION BETWEEN 2.2-0.alpha1.1 AND 2.2-5,
  REMOVE THE OLD PACKAGE BEFORE INSTALLING, OR rm -rf /usr/share/config/kdm
  FIRST!
- Add security fix ("setuid(); setgid()" -> "setgid(); setuid();") from CVS
- Hack up a workaround for #51793
- Sync kdmrc with current system users (#52213)
- Fix up dynamic devices patch (don't try to parse non-desktop files)

* Wed Aug 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-5
- Fix up kpersonalizer:
  - Add Charset= setting when picking a language
  - Restart kicker without saving its current configuration when a new
    icon set is selected
  - Use restartNoSave() when restarting kicker after the "clutter"
    setting (#51420)
- Don't own standard directories (#51771)
- Fix konsole size display problems (#50622)

* Tue Aug 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-4
- Don't build the audiocd: ioslave on S/390 and zSeries

* Mon Aug 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-3
- Fix #51579, #42212

* Thu Aug  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Fix up the desktopdevices patch, it needs to be in KDIconView these days
- Move default desktop icons to /usr/share/apps/kdesktop/DesktopLinks,
  making them visible again
- Merge KWin fixes from KDE_2_2_BRANCH

* Mon Aug  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-1
- 2.2 final
- Work around gnome's incorrect parsing of .directory files when merging
  in the KDE menus (#50557)
- Run the battery status monitor by default if we're on a laptop
- Require libogg and libvorbis (#50612)

* Sun Aug  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010805.1
- Fix anti-aliased fonts
- Remove Japanese konsole patch, it breaks changing fonts in all other
  languages
- BuildRequire lesstif-devel to make sure recompiled versions of Konqueror
  support Netscape plugins
- Remove language detection hacks from startkde, they're now in kpersonalizer
- Personalize kicker in kpersonalizer
- Power off when halting the system in kdm (#50847)

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010802.1
- Remove Japanese Konsole patch, it breaks other languages (#50619)

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010731.1
- Remove some patches that made it into cvs
- Fix up the Japanese patch, it messed up konsole fonts on "normal"
  languages

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010730.1
- Fix up audiocd ioslave (#50310)
- Initialize kpersonalizer to $LANG (#50311)
- Add Japanese patch

* Wed Jul 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010725.1
- Fix error messages on first startup

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- remove ia64 workarounds
- fix default configurations
- update
- remove dupes from kdeartwork

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- rebuild after fixing the build root

* Sat Jul 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010721.1
- rebuild - somehow an application got linked against an older version of
  itself from the buildroot
- update

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.1
- update
- get rid of some rpmlint warnings
- remove kappfinder (we maintain /etc/X11/applnk)
- work around ia64 breakage

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010627.1
- update
- adapt patches

* Sat Jun 16 2001 Alan Eldridge <alane@geeksrus.net> 2.2-0.cvs20010616.1
- updated for current CVS

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.2
- Work around NFS-mounted home directories residing on servers with
  ultimately broken OSes (#40711)
- Fix desktopconv compilation without optimizations (#40144)
- Move old config files rather than deleting them (#38107)
- Add explicit requirements on lm_sensors and kdelibs-sound (#32678)
- Fix doc generation (#40087)
- s/Copyright:/License:/

* Sun May 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2 alpha 2

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010513.1
- Fix up default settings; KSpell should use Aspell right away
- Split out -devel subpackage; with KWin and Kate moving to plugin systems,
  this is getting big...

* Sat May 12 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010512.1
- Update, adapt patches
- Fix up desktop devices patch, we want the "Eject" action for CD-ROMs,
  CD-Writers, CD-RWs, ZIP and JAZ-Drives and LS120.

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2alpha1
- kill /usr/share/icons/locolor/16x16/actions/bookmark_folder.png
  (dupe from kdelibs)

* Tue Apr  3 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix deadkeys handling in kdm
- Fix uninitialized variable in konsole, patch
  from Tim Waugh (#34452)

* Fri Mar 30 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix rpmfind shortcut (Bugzilla #34057, KDE Bug #21100)
- Add patch from KDE_2_1_BRANCH to get rid of debug output in
  the ktar IO slave

* Wed Mar 28 2001 Than Ngo <than@redhat.com>
- fix a bug in desktopconv (bug #33374)

* Tue Mar 27 2001 Than Ngo <than@redhat.com>
- fix charmap/encoding problem
- fix MinimumFontSize in konqueror, default is 10
- set correct DefaultEncoding for konqueror
- clean up startkde
- disable Israel and Thai, it's broken in qt

* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com>
- remove CD-ROM / Floppy .desktop files, they are generated automatically now
- remove some other old obsolete default config files

* Thu Mar 22 2001 Preston Brown <pbrown@redhat.com>
- patch to dynamically create icons for removable/user controllable 
  devices on desktop

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Log utmp/wtmp correctly in konsole, using utempter
- Remove setuid state from konsole_grantpty, it's no longer needed now
  that we use utempter.
- Fix escaping in the konsole KPart
- Fix grammar and order in the arts control module

* Tue Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- Don't crash if kfmexec is invoked without arguments (#32029)
- Various desktopconv fixes:
  - Allow removing or ignoring KDE 1.x files
  - convert the printer icon we had on the desktop by default.
  - Support i18n
- Add mailsettings tool (generates sane kcmemail defaults at first
  startup)
- Fix up support for Brazil Portuguese and Chinese
- Fix loading of child panel config files (harald)
- remove -T and --title in konsole, use instead --caption (#31483) (Than Ngo)
- More i18n fixes (zh_HK is closer to zh_TW than to zh_CN...)

* Mon Mar 20 2001 Than Ngo <than@redhat.com>
- fix Login Screen Red Hat logo (Bug #32241)
- fix kdm background color
- fix a bug in setting font size (Bug #32258)

* Fri Mar 17 2001 Than Ngo <than@redhat.com> 2.1-11
- fix placed icons on desktop (Bug #31985)
- some bugfixes in startkde
- restore support for Russian (bero)
- merge bugfix patch from KDE_2_1_BRANCH, Ctrl-U could crash Konqueror
  under certain circumstances (bero)
- Fix up the effects patch (if everything was disabled, no radio button
  was checked by default, rather than the "No effects" button) (bero)

* Thu Mar 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-10
- Fix up i18n support
- Don't use predictable tmp file names in krdb
- Remove the printer icon from the desktop. It uses klpq which is in kdeutils,
  so the icon should come from there.
- fix error.c in kdebase-2.1-fixes.patch, It's broken (Than Ngo)
- better fix for konsole keyboard mappings (Preston Brown)

* Tue Mar 13 2001 Than Ngo <than@redhat.com>
- fix default profile for konqueror in webbrowser mode 
- set lucidatypewriter as fixed-width font for konqueror
  
* Mon Mar 12 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-9
- Fix locale settings (old versions didn't check the user's locale settings
  and always started up in English)
- Fix some braindead code in kwrite

* Sat Mar 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-8
- Add option to save backtraces to a file (#30867)
- Fix kdm looking horrible on 8 bit displays
- Revert to /usr/share/config with an exception for kdmrc
- Add /etc/skel/Desktop/.directory (the /etc/skel/Desktop/* glob doesn't include
  /etc/skel/Desktop/.* ...)
- Don't apply konsole-noxft patch anymore (workaround for an X bug
  that was fixed in 11.4)

* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- fix home and end default mapping in konsole

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /usr/share/config -> /etc/kde
- Don't throw all config files at every user's home directory; 2.x supports
  changing global defaults
- Get rid of bogus "can't find schema named" warning
- Fix various bugs in konsole (don't connect to a NULL slot, etc.)
- Cripple kxmlrpcd by default (#23253)
- Add a sane icon arrangement at first startup (#25026)
  
* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add fixes from KDE_2_1_BRANCH:
  - Fix up cookie handling in konqueror
  - Fix a potential crash in kcontrol when using config files from
    cvs snapshots
  - Fix possible khotkeys segfault
- Fix up Konqueror User Agent dialog
- Log in to "default" session by default (#29157)

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1 second (and hopefully last) respin

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin
- Drop the old anotherlevel session type in kdm (#28593)

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Wed Feb 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up konsole_grantpty to work with the /dev/pts filesystem and
  /dev/ptmx rather than the old /dev/ptyXX system
- Replace ktip logo with Red Hat logo, the old one could be considered
  offensive by some people
- Fix build with glibc 2.2.2
- Turn off icon view in kdm
- Other minor changes to default config

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- desktopconv: Don't strip off .png/.xpm/.gif in Icon= if it is
  provided as a full pathname
- Build with --disable-debug
- Fix a bug causing all icons to appear in the upper-left corner
- Don't use antialiased fonts in konsole even if they're turned on.
  Konsole can't deal with them.
- Don't show the postgres and amanda users in kdm
- Add rhbug/bz shortcut to Bugzilla
- Add ftpsearch/fs shortcut to FTP Search
- Add "Eject" option to CD-ROM icon (RFE #26301)
- Fix permissions on some files in /etc/skel/Desktop (having them readable
  by root only is not really useful ;) )
- Fix PAM exiting (#25232, Patch from Tim Waugh)
- Fix utmp handling in konsole (Bug #25048)
- Rewrite desktopconv and run it from startkde, ensures
  clean updates from KDE 1.x (Bug #25473)
- Add $HOME/bin to PATH in kdm (Bug #25743)

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Link the greeter into kdm statically, pulling in libpthreads
  Fixes crash with glibc-2.2.1-3 i686

* Fri Jan 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- exec ksmserver rather than just starting it - there's no need to keep
  that shell in memory.

* Thu Jan 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Turn off anti-aliasing by default
- Restore the turning AA on/off and "apply styles to non-KDE-apps"
  functionality, someone managed to break them just in time for
  2.1 beta 2.

* Tue Jan 23 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix bugs #23136 and #24709

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Kill /usr/share/icons/hicolor/22x22/actions/view_tree.png, it's in
  kdelibs
- restore missing /etc/kderc (Bug #24601)

* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix update if Autostart directory exists, but is empty
- Fix usage of mktemp in startkde (#24415)

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fixed #24298, #24242)
- Hack in support for turning anti-aliasing on and off, as requested
  by Than. Unfortunately, this patch probably won't go into the base 2.1
  because of the message freeze.

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS; I fixed building with OpenLDAP 2.x in there.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kscreensaver pam file (copy the xscreensaver one, don't
  use the broken one from KDE CVS)

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't replace a directory with a symlink (#23671)

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix background (#20910)

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdm shouldn't show gdm and mailnull users (#23136)
- don't install the konsole fonts, they're now
  included in XFree86 (#23467)
- Obsoletes kdebase2 (from 7.0-preview)
- Add config files (used to be in kdesupport) (#22601)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Obsolete kdebase-3d-screensavers, kdebase-locolor-icons,
  kapm kcmlaptop (optional stuff from KDE 1.x)

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD branch
- s/Prereq/Requires(post,postun)/

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Some fixes to startkde:
  - if /etc/skel/.kde doesn't exist, don't copy it
  - remove stale .DCOPserver* files at startup
- Rebuild with fixed kdoc

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move include files to /usr/include/kde
- Don't install any of the mini-lesstif files, we need them at
  build time only
- Fix consolehelper config for kappfinder

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed
- Get rid of the Red Hat menu, it's merged now
- Fix up the gdm session file
- Fix up kappfinder, run it through consolehelper (Bug #19903)
- Enable Netscape plugin support, add a stripped down version of lesstif
  to allow this

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix installation of fonts

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up spec file

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the 3d-screensavers package - now that qt-GL is part of qt,
  there's no need to keep them separate to avoid the dependency.

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- fix gnome-session so that KDE2 can be started from gdm
- pam/kde2 instead pam/kde to avoid problem with KDE1
- don't requires qt-GL, It's now in qt

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- fix dependency problem with KDE1 so that KDE1 and KDE2 can be installed
  at the same time
- add missing ldconfig in %post anf %postun
- fix for reading config files in /etc/X11/xdm, add Xsession to requires

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix keytable in konsole (Bug #15682)

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild, now that kdelibs2 works on alpha
- use the same ugly hack to get kdebase to compile
- remove ksysguard on alpha (even more compiler problems)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot (fixed libGL detection in CVS)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the --xdmdir arg to be correct (oops)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- move kdm config files from /usr/config to /etc/X11 by forcing xdmdir

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use new snapshot
- disable Motif

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch 3
- Update to current
- Use egcs++

* Fri Jun 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (I put the fixes directly to CVS rather than collecting them
  in the spec)

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove man2html; we get that from man
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now
- remove gnome .desktop file, we get it from gnome-core now.

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove dependency on xpm (now in XFree86)

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Dec 25 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Build the OpenGL screensavers, and move them to a separate package
- Improve the spec file (BuildPrereqs etc.)

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- remove patch #3 (obsoleted by kwin)

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS snapshot
- fix compilation

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- clean up files in /tmp from startkde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- start autorun if present in startkde
- check for configured soundcard before running sound services

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made kdelnks display Name property if they are of type Link

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- moved png handling here (from kdelibs)
- changed low color icon directory name to locolor

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added optional session management to logout dialog
- include GNOME menus

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added link to /etc/X11/applnk, .directory file
- included lowcolor icon sub-package
- enable .desktop file access

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- customized startkde script to set up user environment if not present.
- mention kthememgr in description.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release
- kvt is back
- kde icon included
- linux console fonts included

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- PAM console logout problem solved.

* Mon Jul 12 1999 Preston Brown <pbrown@redhat.com>
- now includes screensaver password security fix

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
- kvt removed for security reasons.  It is a steaming pile of...

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com> 
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot makes kfm a bit nicer and some other fixes
- moved default rc files to kdesupport

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- SUID bit removed from konsole_grantpty -- not needed w/glibc 2.1

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- built with today's snapshot -- had to rebuild to fix pam problems.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- new snapshot fixes mimetype video/x-flic problem

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- removed bell.xpm (used to be in fvwm2-icons, don't want installer to see
- this previous connection and autoselect kdebase for upgrade).

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
